from parallels.core.utils.entity import Entity


class Domain(Entity):
    def __init__(self, domain_id, webspace_id, owner_id, vendor_id, dns_zone_id, name, ascii_name, hosting_type):
        self._domain_id = domain_id
        self._webspace_id = webspace_id
        self._owner_id = owner_id
        self._vendor_id = vendor_id
        self._dns_zone_id = dns_zone_id
        self._name = name
        self._ascii_name = ascii_name
        self._hosting_type = hosting_type

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def webspace_id(self):
        """
        :rtype: str | unicode
        """
        return self._webspace_id

    @property
    def owner_id(self):
        """
        :rtype: str | unicode
        """
        return self._owner_id

    @property
    def vendor_id(self):
        """
        :rtype: str | unicode
        """
        return self._vendor_id

    @property
    def dns_zone_id(self):
        """
        :rtype: str | unicode
        """
        return self._dns_zone_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def ascii_name(self):
        """
        :rtype: str | unicode
        """
        return self._ascii_name

    @property
    def hosting_type(self):
        """
        :rtype: str | unicode
        """
        return self._hosting_type
